#ifndef SWIFT_GUI_LABEL_H
#define SWIFT_GUI_LABEL_H

#include <swift/gui/api.h>
#include <swift/gui/widget.h>
#include <swift/string.h>

SWIFT_GUI_API void swift_create_label(swift_widget_t *control,
	swift_widget_t *parent, swift_vec3f_t pos, swift_vec2f_t hw,
		swift_vec4f_t color, swift_font_t *font, size_t maxcharspl,
			swift_str_t *string, size_t font_size, bool visible);
SWIFT_GUI_API void swift_unload_label(swift_widgets_t *wgts,
	swift_widget_t *control);
SWIFT_GUI_API void swift_update_label_string(swift_widget_t *control,
	swift_str_t *string);
SWIFT_GUI_API void swift_update_label_string_col(swift_widget_t *control,
	swift_str_t *string, swift_vec4f_t color);
SWIFT_GUI_API swift_str_t *swift_get_label_string(swift_widget_t *control);
#endif /*SWIFT_GUI_LABEL_H*/
